<template>
  <v-data-table
    :headers="headers"
    :items="itemSalesData"
    hide-actions
    style="display:block;height:400px !important; overflow-y: auto;background:transparent">
    <template slot="items"
      slot-scope="props">
      <td>
        {{ props.item.time | formatSalesDate}}
      </td>
      <td class="text-xs-left">
        {{ props.item.brand }}
      </td>
      <td class="text-xs-left">
        {{ props.item.size }}
      </td>
      <td class="text-xs-left">
        {{ props.item.shopName }}
      </td>
      <td class="text-xs-left">
        {{ props.item.salesPrice }}
      </td>
      <td class="text-xs-left">
        {{ props.item.seller }}
      </td>
    </template>
  </v-data-table>
</template>
<script>
import moment from 'moment'
export default {
  name: 'ItemSalesResult',
  data: () => ({
    headers: [
      {
        text: 'Time',
        align: 'left',
        sortable: false,
        value: 'name'
      },
      { text: 'Brand', value: 'brand', sortable: false },
      { text: 'Size', value: 'size', sortable: false },
      { text: 'Shop', value: 'shopName', sortable: false },
      { text: 'Sales price', value: 'salesPrice', sortable: false },
      { text: 'Seller', value: 'seller', sortable: false }
    ]
  }),
  props: ['itemSalesData'],
  filters: {
    formatSalesDate (utcDate) {
      return moment(utcDate).format('YYYY-MM-DD HH:mm')
    }
  }
}
</script>
